#!/usr/bin/make -f
#
# $Id: Makefile,v 1.1 2005-01-03 15:12:17 cartho Exp $
#

.PHONY: all clean pics

# ---------------------------------------------------------------------

all:	pics

# --- generic rules

%.pdf: %.eps
	epstopdf $*.eps

%.eps: code2eps %.code
	rm -f $@
	./code2eps $*.code > $@
 
# --- specific rules
code2eps: code2eps.c
	$(CC) -o $@ code2eps.c

pics: code2eps
	make `find . -name \*.code | sed -e 's,code,eps,'`
	make `find . -name \*.code | sed -e 's,code,pdf,'`

clean:
	rm -f *.pdf *.eps *~

distclean: clean
	rm -f code2eps
